Bug 965330 - [abrt] general protection fault: 0000 [#1] SMP
[abrt] general protection fault: 0000 [#1] SMP
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fs-maint
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-05-20 19:57 EDT by Jonathan Nicol
Modified: 2014-12-29 11:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-27 11:05:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jnicol: needinfo-

Attachments (Terms of Use)
File: dmesg (58.11 KB, text/plain)
2013-05-20 19:57 EDT, Jonathan Nicol
no flags Details

  None (edit)
Description Jonathan Nicol 2013-05-20 19:57:49 EDT
Description of problem:
Running KVM/libvirt guest with Host Device (macvtap) source device. Force Reset or Force Off triggers a lockup and/or panic almost every time.

Additional info:
general protection fault: 0000 [#1] SMP 
Modules linked in: fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_CHECKSUM iptable_mangle bridge stp llc bnep bluetooth rfkill ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_conntrack nf_conntrack ip6table_filter ip6_tables snd_hda_codec_hdmi snd_hda_codec_realtek vhost_net snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd acpi_cpufreq e1000e ptp pps_core iTCO_wdt tun macvtap macvlan nfsd auth_rpcgss nfs_acl lockd sunrpc mei i2c_i801 mperf soundcore dcdbas coretemp iTCO_vendor_support lpc_ich kvm_intel mfd_core binfmt_misc kvm uinput serio_raw microcode nouveau mxm_wmi wmi i2c_algo_bit drm_kms_helper crc32_pclmul crc32c_intel ttm ghash_clmulni_intel drm i2c_core video
CPU 1 
Pid: 808, comm: libvirtd Not tainted 3.9.2-200.fc18.x86_64 #1 Dell Inc. Precision T1600/06NWYK
RIP: 0010:[<ffffffff811879e8>]  [<ffffffff811879e8>] __kmalloc+0x88/0x250
RSP: 0018:ffff88022022fc48  EFLAGS: 00010246
RAX: 0000000000000000 RBX: ffff88021cc74068 RCX: ffff880219e0f1fc
RDX: 000000000003c5e1 RSI: 0000000000000000 RDI: 0000000000000007
RBP: ffff88022022fc98 R08: 0000000000016de0 R09: ffffffff8121f048
R10: ffff880225002700 R11: 0000000008080808 R12: 00000000000080d0
R13: 9f9a800543166fc6 R14: 0000000000000039 R15: ffff880225002700
FS:  00007f457acb6700(0000) GS:ffff88022dc20000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f4554008bb8 CR3: 000000021eca5000 CR4: 00000000000427e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process libvirtd (pid: 808, threadinfo ffff88022022e000, task ffff88021d2c5dc0)
 00000000ffffffe8 ffff880219e0f224 ffffffff8121f048 ffff880219e0f1fc
 ffff88022022fce8 ffff88021cc74068 ffff88022022fd90 ffff8801f9b45200
 ffff880219e0f1fc 00000000618c4efa ffff88022022fce8 ffffffff8121f048
Call Trace:
 [<ffffffff8121f048>] ? ext4_htree_store_dirent+0x38/0x130
 [<ffffffff8121f048>] ext4_htree_store_dirent+0x38/0x130
 [<ffffffff8122de11>] htree_dirblock_to_tree+0x161/0x1b0
 [<ffffffff8122e68f>] ext4_htree_fill_tree+0x7f/0x1e0
 [<ffffffff811870ff>] ? kmem_cache_alloc_trace+0x1cf/0x220
 [<ffffffff8121eebe>] ? ext4_readdir+0x6fe/0x7f0
 [<ffffffff8121eebe>] ? ext4_readdir+0x6fe/0x7f0
 [<ffffffff8121ebdd>] ext4_readdir+0x41d/0x7f0
 [<ffffffff811b1da0>] ? fillonedir+0x100/0x100
 [<ffffffff811b1da0>] ? fillonedir+0x100/0x100
 [<ffffffff811b1da0>] ? fillonedir+0x100/0x100
 [<ffffffff811b1c78>] vfs_readdir+0xb8/0xe0
 [<ffffffff811b1fcf>] sys_getdents+0x8f/0x110
 [<ffffffff81669a59>] system_call_fastpath+0x16/0x1b
Code: 90 4d 89 fa 4d 8b 02 65 4c 03 04 25 c8 db 00 00 49 8b 50 08 4d 8b 28 4d 85 ed 0f 84 4b 01 00 00 49 63 42 20 4d 8b 02 41 f6 c0 0f <49> 8b 5c 05 00 0f 85 7a 01 00 00 48 8d 4a 01 4c 89 e8 65 49 0f 
RIP  [<ffffffff811879e8>] __kmalloc+0x88/0x250
 RSP <ffff88022022fc48>
Comment 1 Jonathan Nicol 2013-05-20 19:57:54 EDT
Created attachment 750771 [details]
File: dmesg
Comment 2 Jonathan Nicol 2013-05-22 15:33:51 EDT
possibly a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=950002 or https://bugzilla.redhat.com/show_bug.cgi?id=954181. 

The bug appears to be reproducible when using the macvtap network driver, and not reproducible when using the default Bridged network.

Let me know if I can provide more info or debugging. I didn't pen/paper the full Panic message, but it looked something like:

drm_crtc_helper_set_config  [drm_kms_helper]
drm_mode_set_config_internal  [drm]
drm_fb_helper_restore_fbdev_mode  [drm_kms_helper]
drm_fb_helper_force_kernel_mode  [drm_kms_helper]
drm_fb_helper_panic  [drm_kms_helper]

(In reply to Jonathan Nicol from comment #1)
> Created attachment 750771 [details]
> File: dmesg
Comment 3 Justin M. Forbes 2013-10-18 17:14:36 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 4 Justin M. Forbes 2013-11-27 11:05:19 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.